<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_AmortizationOfIntangibleAssets" xlink:label="loc_domikikritis_AmortizationOfIntangibleAssets_1"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_CashAndCashEquivalentsOfFirstConsolidation" xlink:label="loc_domikikritis_CashAndCashEquivalentsOfFirstConsolidation_2"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_DepreciationOfTangibleAssets" xlink:label="loc_domikikritis_DepreciationOfTangibleAssets_3"/>
    <loc xlink:type="locator" xlink:href="2138003DIAN6FB8TLI23-2022-12-31.xsd#domikikritis_GainsFromRevaluationOfInvestingProperties" xlink:label="loc_domikikritis_GainsFromRevaluationOfInvestingProperties_4"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_domikikritis_AmortizationOfIntangibleAssets_1" xml:lang="en">Amortization Of Intangible Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_domikikritis_CashAndCashEquivalentsOfFirstConsolidation_1" xml:lang="en">Cash And Cash Equivalents Of First Consolidation</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_domikikritis_DepreciationOfTangibleAssets_1" xml:lang="en">Depreciation Of Tangible Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_domikikritis_GainsFromRevaluationOfInvestingProperties_1" xml:lang="en">Gains From Revaluation Of Investing Properties</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_domikikritis_AmortizationOfIntangibleAssets_1" xlink:to="lab_domikikritis_AmortizationOfIntangibleAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_domikikritis_CashAndCashEquivalentsOfFirstConsolidation_2" xlink:to="lab_domikikritis_CashAndCashEquivalentsOfFirstConsolidation_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_domikikritis_DepreciationOfTangibleAssets_3" xlink:to="lab_domikikritis_DepreciationOfTangibleAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_domikikritis_GainsFromRevaluationOfInvestingProperties_4" xlink:to="lab_domikikritis_GainsFromRevaluationOfInvestingProperties_1"/>
  </labelLink>
</linkbase>